narrowing.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Sorted
| Sorted propagators

## Functions

template<class View>
void | Gecode::Int::Sorted::computesccs (ViewArray< View > &x, ViewArray< View > &y, int phi[], SccComponent sinfo[], int scclist[])
| Compute the sccs of the oriented intersection-graph.
template<class View, bool Perm>
bool | Gecode::Int::Sorted::narrow_domx (Space &home, ViewArray< View > &x, ViewArray< View > &y, ViewArray< View > &z, int tau[], int[], int scclist[], SccComponent sinfo[], bool &nofix)
| Narrowing the domains of the x variables.
template<class View>
bool | Gecode::Int::Sorted::narrow_domy (Space &home, ViewArray< View > &x, ViewArray< View > &y, int phi[], int phiprime[], bool &nofix)
| Narrowing the domains of the y views.